DECLARE @id varchar(1000) 
 DECLARE @ui varchar(1000)
DECLARE @id_funcionalidaCot varchar(1000)

 set @id =  (select top 1 id FROM [gui_funcionalidad] where   funcionalidad = 'CONFIGURACION' and active = 1 and id_tipoFuncionalidad = 6) 
 if not exists ( select * FROM [gui_funcionalidad] where   funcionalidad = 'Ots inclumplidas' and active = 1 and id_tipoFuncionalidad = 5 and id_funcionalidad = @id)
 BEGIN
 set @ui =  (select [uid]  FROM [gui_funcionalidad] where id = '1') 
 set @id_funcionalidaCot = (select id from gui_tipoFuncionalidad where tipoFuncionalidad = 'Acción' and active = 1)
EXECUTE  [dbo].[ins_gui_funcionalidad]
    @ui,
	'01',
	'01',
	'01',
	'Ots inclumplidas',
	'',
	'',
	'',
	'',
	'',
	'view_doc_documentoOtProgramada',
	'0',
	'',
	'inc_ots_Programadas',
	'0',
	@id,
	@id_funcionalidaCot,
	'0'
	END


 set @id =  (select top 1 id FROM [gui_funcionalidad] where   funcionalidad = 'CONFIGURACION' and active = 1 and id_tipoFuncionalidad = 6) 
 if not exists ( select * FROM [gui_funcionalidad] where   funcionalidad = 'Ots sin programación' and active = 1 and id_tipoFuncionalidad = 5 and id_funcionalidad = @id)
 BEGIN
 set @ui =  (select [uid]  FROM [gui_funcionalidad] where id = '1') 
 set @id_funcionalidaCot = (select id from gui_tipoFuncionalidad where tipoFuncionalidad = 'Acción' and active = 1)
EXECUTE  [dbo].[ins_gui_funcionalidad]
    @ui,
	'01',
	'01',
	'01',
	'Ots sin programación',
	'',
	'',
	'',
	'',
	'',
	'view_doc_documentoOtSinProgramar',
	'0',
	'',
	'inc_ots_sinProgramar',
	'0',
	@id,
	@id_funcionalidaCot,
	'0'
	END



	